curl "https://api.smartcar.com/v2.0/vehicles/{id}/navigation/destination" \
-H "Authorization: Bearer {token}" \
-X "POST" \
-H "Content-Type: application/json" \
-d '{"latitude": 51.5007, "longitude" : 0.1246}'
send_destination_response = vehicle.send_destination(51.5007, 0.1246)
const sendDestination = await vehicle.sendDestination(51.5007, 0.1246);
SendDestinationResponse sendDestinationResponse = vehicle.sendDestination(51.5007, 0.1246);
send_destination_response = vehicle.send_destination(51.5007, 0.1246)
{
"message": "Successfully sent request to vehicle",
"status": "success"
}
Vehicle Commands (Legacy)
Send Destination
Send destination coordinates to the vehicle’s navigation system.
curl "https://api.smartcar.com/v2.0/vehicles/{id}/navigation/destination" \
-H "Authorization: Bearer {token}" \
-X "POST" \
-H "Content-Type: application/json" \
-d '{"latitude": 51.5007, "longitude" : 0.1246}'
send_destination_response = vehicle.send_destination(51.5007, 0.1246)
const sendDestination = await vehicle.sendDestination(51.5007, 0.1246);
SendDestinationResponse sendDestinationResponse = vehicle.sendDestination(51.5007, 0.1246);
send_destination_response = vehicle.send_destination(51.5007, 0.1246)
{
"message": "Successfully sent request to vehicle",
"status": "success"
}
Remote commands are now available in API v3. We recommend using v3 for new command integrations. Commands remain available in v2.0 until it is deprecated.
Permission
control_navigation
Request
PathThe vehicle ID of the vehicle you are making a request to.
curl "https://api.smartcar.com/v2.0/vehicles/{id}/navigation/destination" \
-H "Authorization: Bearer {token}" \
-X "POST" \
-H "Content-Type: application/json" \
-d '{"latitude": 51.5007, "longitude" : 0.1246}'
send_destination_response = vehicle.send_destination(51.5007, 0.1246)
const sendDestination = await vehicle.sendDestination(51.5007, 0.1246);
SendDestinationResponse sendDestinationResponse = vehicle.sendDestination(51.5007, 0.1246);
send_destination_response = vehicle.send_destination(51.5007, 0.1246)
Response
{
"message": "Successfully sent request to vehicle",
"status": "success"
}
Was this page helpful?

